import { EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { NzMessageService } from 'ng-zorro-antd/message';
import { TranslateService } from '@ngx-translate/core';
export declare class IdentityClientsUpdateClaimCreateComponent {
    private nzMessageService;
    private translateService;
    claimCreating: boolean;
    clientId: string;
    formGroup: FormGroup;
    ok: EventEmitter<void>;
    visible: boolean;
    visibleChange: EventEmitter<boolean>;
    constructor(nzMessageService: NzMessageService, translateService: TranslateService);
    handleAfterClose(): void;
    handleCancel(): void;
    handleOk(): void;
}
